Package org.eclipse.pde.core.plugin

# Interface IPluginExtensionPoint

All Superinterfaces:
  `IAdaptable`, `IIdentifiable`, `IPluginObject`, `IWritable`

public interface IPluginExtensionPoint extends IPluginObject, IIdentifiable
Classes that implement this interface model an extension point element specified in the plug-in manifest.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`P_SCHEMA`
A property name that will be used to notify about changes to the schema value.

### Fields inherited from interface org.eclipse.pde.core.IIdentifiable

`P_ID`

### Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`P_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullId()`
Returns the full extension point Id that is composed as "pluginId.pointId".
`String`
`getSchema()`
Returns the name of the extension point XML schema that defines this extension point.
`void`
`setSchema(String schema)`
Sets the plug-in relative name of the extension point schema file that describes this extension point.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.pde.core.IIdentifiable

`getId, setId`

### Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

### Methods inherited from interface org.eclipse.pde.core.IWritable

`write`

## Field Details

### P_SCHEMA

static final String P_SCHEMA
A property name that will be used to notify about changes to the schema value.

See Also:
  - Constant Field Values

## Method Details

### getFullId

String getFullId()
Returns the full extension point Id that is composed as "pluginId.pointId". This full Id will be used by extensions to reference this extension point.

Returns:
  a full extension point Id

### getSchema

String getSchema()
Returns the name of the extension point XML schema that defines this extension point.

Returns:
  XML extension point schema file name

### setSchema

void setSchema(String schema) throws CoreException
Sets the plug-in relative name of the extension point schema file that describes this extension point. This method will throw a CoreException if the model is not editable.

Parameters:
  `schema` - the schema file name
Throws:
  `CoreException` - if the model is not editable